#ifndef CDLLEXPORT_H
#define CDLLEXPORT_H

#ifdef __cplusplus
extern "C" {
#endif

typedef struct ExchangeData {
    char* content;
    unsigned int len;
    unsigned int pk;
    unsigned int ck;
} ExchangeData;

void init_api(const char* ip, unsigned int port);

ExchangeData* ask_openai(const char* content);

void free_exchange_data(ExchangeData* data);

#ifdef __cplusplus
}
#endif

#endif   // CDLLEXPORT_H
