#pragma once

#include <string>

struct Configuration {
    std::string api_env_key;
    std::string base_url;
    std::string user_name;
    std::string model_name;
    std::string assistant_name;
    int32_t max_tokens{};
};

class ConfigSet
{
public:
    ConfigSet() = default;
    ~ConfigSet() = default;

public:
    static bool parse_config(Configuration& config, const std::string& config_path = "");
};
